﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace InfragisticsDataSourceBindingBugWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static DataClass DataClass { get; private set; }

        static MainWindow()
        {
            DataClass = new DataClass();
        }

        public MainWindow()
        {
            InitializeComponent();
            DataContext = this;

            DataClass.TestCollection.RemoveAt(0);
        }
    }

    public class DataClass
    {
        public ObservableCollection<string> TestCollection { get; private set; }

        public DataClass()
        {
            TestCollection = new ObservableCollection<string>();

            TestCollection.Add("test1");
            TestCollection.Add("test2");
            TestCollection.Add("test3");
        }
    }
}
